Imports System.Windows.Forms

Namespace UTSModule.Project
    Public Class DlgCreateProject
        Public Property ProjectName() As String

        Private Sub OK_Button_Click(ByVal sender As System.Object, ByVal e As EventArgs) Handles OK_Button.Click
            If String.IsNullOrWhiteSpace(CboProjectName.Text) Then
                MsgBox($"请输入合法测试项目名称!")
                Return
            End If

            ProjectName = CboProjectName.Text
            DialogResult = DialogResult.OK
            Close()
        End Sub

        Private Sub Cancel_Button_Click(ByVal sender As System.Object, ByVal e As EventArgs) Handles Cancel_Button.Click
            DialogResult = DialogResult.Cancel
            Close()
        End Sub

    End Class
End Namespace
